Packager: Igor Vlasenko <viy@altlinux.ru>
%define _without_gcj 1
BuildRequires: /proc
BuildRequires: jpackage-compat
# Use rpmbuild --without gcj to disable gcj bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           swing-layout
Version:        1.0.3
Release:        alt1_2jpp5
Summary:        Natural layout for Swing panels

Group:          Development/Java
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# Need to register to download, from url above
Source0:        %{name}-%{version}-src.zip

BuildRequires: jpackage-utils >= 1.6
BuildRequires: ant
BuildRequires: dos2unix

%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif


%description
Extensions to Swing to create professional cross platform layout.


%package javadoc
Summary:        Javadoc documentation for Swing Layout
Group:          Development/Java

%description javadoc
Documentation for Swing Layout code.


%prep
%setup -q
dos2unix releaseNotes.txt


%build
%{ant} jar javadoc dist


%install
install -d $RPM_BUILD_ROOT%{_javadir} \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif


%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif


%files
%{_javadir}/%{name}*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif
%doc releaseNotes.txt


%files javadoc
%{_javadocdir}/%{name}-%{version}


%changelog
* Mon Dec 08 2008 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2jpp5
- converted from JPackage by jppimport script

